#ifndef __ssf_factory_h__
#define __ssf_factory_h__

///////////////////////////////////////////////////////////////////////////
// $Header: /usr/local/cvs-repository/ssf/src/ssf_factory.h,v 1.1.1.1 2001/01/13 21:01:17 rosimildo Exp $
//
// Copyright (c) 2000-2001 ConnectTel, Inc. All Rights Reserved.
// by: Rosimildo da Silva
//  
// The SSF library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Library General Public
// License as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Library General Public License for more details.
//
// You should have received a copy of the GNU Library General Public
// License along with this library; if not, write to the Free
// Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
// 02111-1307, USA
//
//
//  
// DESCRIPTION: Facotry to create generic Connections to talk to
// SQL engines.
//
// HISTORY:
//
// $Log: ssf_factory.h,v $
// Revision 1.1.1.1  2001/01/13 21:01:17  rosimildo
// Initial checkin for SSF
//
//
///////////////////////////////////////////////////////////////////////////

#include "ssf_base.h"

namespace ssf
{

/**
 * Generic Factory class to create "Connections" instance to talk to
 * different DB engines.
 *
 * MySQL engine is supported at this time.
 *
 */
class Factory
{
public:
   enum DB_DRIVER_TYPE
   {
      MySQL
   };
   static Connection *createConnection( DB_DRIVER_TYPE type, const char *parameters = 0 );
};

};

#endif // __ssf_factory_h__

